package org.diagbot.common.javabean;

import lombok.Getter;
import lombok.Setter;

/**
 * 触发规则
 * @author Mark Huang
 * @since 27/08/2019
 */
@Getter
@Setter
public class Rule {
    // 套餐名称
    private String set_name;
    // 指标名称
    private String idx_name;
    // 最小值操作符
    private String min_operator;
    // 最小值
    private String min_value;
    // 最小值单位
    private String min_unit;
    // 最大值操作符
    private String max_operator;
    // 最大值
    private String max_value;
    // 最大值单位
    private String max_unit;
    // 相等操作符
    private String eq_operator;
    // 等于值
    private String eq_value;
    // 等于值单位
    private String eq_unit;
    // 推送名称
    private String remind;

    public Rule() { }

    public Rule(String[] elements) {
//        Rule rule = new Rule();

        if (elements.length == 12) {
            this.set_name = (null == elements[0])?"":elements[0];
            this.idx_name = (null == elements[1])?"":elements[1];
            this.min_operator = (null == elements[2])?"":elements[2];
            this.min_value = (null == elements[3])?"":elements[3];
            this.min_unit = (null == elements[4])?"":elements[4];
            this.max_operator = (null == elements[5])?"":elements[5];
            this.max_value = (null == elements[6])?"":elements[6];
            this.max_unit = (null == elements[7])?"":elements[7];
            this.eq_operator = (null == elements[8])?"":elements[8];
            this.eq_value = (null == elements[9])?"":elements[9];
            this.eq_unit = (null == elements[10])?"":elements[10];
            this.remind = (null == elements[11])?"":elements[11];
        }
    }
}
